*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif,system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

body{
    background-color: #000;
    text-align: center;
    width: 100%;
    height: 100vh;
}
h1{
    font-size: 10vmin;
    color: goldenrod;
    margin-top: 7vmin;
    text-shadow:  0.5rem 0.5rem  1rem rgba(243, 228, 71, 0.4);
}
.container{
    height: 70vh;
    display: flex;
    justify-content: center;
    align-items: center;

}
.game{
    height:60vmin;
    width: 60vmin;
    display: flex;
    justify-content: center;
    align-items:center;
    flex-wrap: wrap;
    gap: 1.9vmin;
}
.box{
    width: 18vmin;
    height: 18vmin;
    font-size: 12vmin;
    font-weight: 900;
    background-color: #000;
    border: 3px solid goldenrod;
    border-radius: 20px;
    color: goldenrod;
    box-shadow: 0 0.5rem 1rem rgba(243, 228, 71, 0.4);
}
#reset-btn{
    background-color: #000;
    color: goldenrod;
    font-size: 5vmin;
    padding: 10px;
    border: 2px solid goldenrod;
    margin-top: 1vmin;
}




#winner-overlay {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.9); /* dark blur */
    /* backdrop-filter: blur(5px); */
    display: none; /* hidden by default */
    justify-content: center;
    align-items: center;
    z-index: 10;
}              

.winner-content {
    color: goldenrod;
    font-size: 6vmin;
    text-align: center;
    animation: slideIn 1s ease-out;
    background: rgba(255, 255, 255, 0.05);
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(243, 228, 71, 0.6);
}

.winner-icon {
    font-size: 3rem;
    margin: 0 10px;
}

@keyframes slideIn {
    from {
        transform: translateY(-200px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}



@media (min-width: 768px) {


    .game {
        margin: 0;
    }

    #reset-btn {
        margin: 0;
    }

    .winner-content h2 {
        font-size: 3rem;
    }

    .winner-icon {
        font-size: 3rem;
    }
}